var search_data = {"index":{"searchIndex":["spectus","requirement","base","optional","recommended","required","call()","inspect()","level()","level()","level()","may()","may!()","must()","must!()","must_not()","must_not!()","new()","passed?()","passed?()","passed?()","should()","should!()","should_not()","should_not!()"],"longSearchIndex":["spectus","spectus::requirement","spectus::requirement::base","spectus::requirement::optional","spectus::requirement::recommended","spectus::requirement::required","spectus::requirement::base#call()","spectus::requirement::base#inspect()","spectus::requirement::optional::level()","spectus::requirement::recommended::level()","spectus::requirement::required::level()","spectus::may()","spectus::may!()","spectus::must()","spectus::must!()","spectus::must_not()","spectus::must_not!()","spectus::requirement::base::new()","spectus::requirement::base#passed?()","spectus::requirement::optional#passed?()","spectus::requirement::recommended#passed?()","spectus::should()","spectus::should!()","spectus::should_not()","spectus::should_not!()"],"info":[["Spectus","","Spectus.html","","<p>Namespace for the Spectus library.\n<p>This module defines methods that can be used to qualify expectations …\n"],["Spectus::Requirement","","Spectus/Requirement.html","","<p>Namespace for the results.\n<p>@api private\n<p>Namespace for the requirement levels.\n"],["Spectus::Requirement::Base","","Spectus/Requirement/Base.html","","<p>Requirement level&#39;s base class.\n"],["Spectus::Requirement::Optional","","Spectus/Requirement/Optional.html","","<p>Optional requirement level.\n"],["Spectus::Requirement::Recommended","","Spectus/Requirement/Recommended.html","","<p>Recommended and not recommended requirement levels.\n"],["Spectus::Requirement::Required","","Spectus/Requirement/Required.html","","<p>Absolute requirement and absolute prohibition levels.\n"],["call","Spectus::Requirement::Base","Spectus/Requirement/Base.html#method-i-call","(&block)","<p>Test result.\n<p>@raise [::Expresenter::Fail] A failed spec exception. @return [::Expresenter::Pass] A passed …\n"],["inspect","Spectus::Requirement::Base","Spectus/Requirement/Base.html#method-i-inspect","()","<p>A string containing a human-readable representation of the definition.\n<p>@example The human-readable representation …\n"],["level","Spectus::Requirement::Optional","Spectus/Requirement/Optional.html#method-c-level","()","<p>Key word for use in RFCs to indicate requirement levels.\n<p>@return [Symbol] The requirement level.\n"],["level","Spectus::Requirement::Recommended","Spectus/Requirement/Recommended.html#method-c-level","()","<p>Key word for use in RFCs to indicate requirement levels.\n<p>@return [Symbol] The requirement level.\n"],["level","Spectus::Requirement::Required","Spectus/Requirement/Required.html#method-c-level","()","<p>Key word for use in RFCs to indicate requirement levels.\n<p>@return [Symbol] The requirement level.\n"],["may","Spectus","Spectus.html#method-c-may","(matcher)","<p>This method mean that an item is truly optional. One vendor may choose to include the item because a …\n"],["may!","Spectus","Spectus.html#method-c-may-21","(matcher)","<p>@example An optional definition with isolation\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;spectus&quot;</span>\n<span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;matchi/match&quot;</span>\n\n<span class=\"ruby-constant\">Spectus</span>.<span class=\"ruby-identifier\">may!</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["must","Spectus","Spectus.html#method-c-must","(matcher)","<p>This method mean that the definition is an absolute requirement of the specification.\n<p>@example An absolute …\n"],["must!","Spectus","Spectus.html#method-c-must-21","(matcher)","<p>@example An absolute requirement definition with isolation\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;spectus&quot;</span>\n<span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;matchi/eq&quot;</span>\n\n<span class=\"ruby-constant\">Spectus</span>.<span class=\"ruby-identifier\">must!</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["must_not","Spectus","Spectus.html#method-c-must_not","(matcher)","<p>This method mean that the definition is an absolute prohibition of the specification.\n<p>@example An absolute …\n"],["must_not!","Spectus","Spectus.html#method-c-must_not-21","(matcher)","<p>@example An absolute prohibition definition with isolation\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;spectus&quot;</span>\n<span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;matchi/be&quot;</span>\n\n<span class=\"ruby-constant\">Spectus</span>.<span class=\"ruby-identifier\">must_not!</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["new","Spectus::Requirement::Base","Spectus/Requirement/Base.html#method-c-new","(isolate:, matcher:, negate:)","<p>Initialize the requirement level class.\n<p>@param isolate  [Boolean]   Compute actual in a subprocess. @param …\n"],["passed?","Spectus::Requirement::Base","Spectus/Requirement/Base.html#method-i-passed-3F","(test)","<p>Code experiment result.\n<p>@param test [::TestTube::Base] The state of the experiment.\n<p>@see github.com/fixrb/test_tube …\n"],["passed?","Spectus::Requirement::Optional","Spectus/Requirement/Optional.html#method-i-passed-3F","(test)","<p>Code experiment result.\n<p>@param (see Base#passed?)\n<p>@return (see Base#passed?)\n"],["passed?","Spectus::Requirement::Recommended","Spectus/Requirement/Recommended.html#method-i-passed-3F","(test)","<p>Code experiment result.\n<p>@param (see Base#passed?)\n<p>@return (see Base#passed?)\n"],["should","Spectus","Spectus.html#method-c-should","(matcher)","<p>This method mean that there may exist valid reasons in particular circumstances to ignore a particular …\n"],["should!","Spectus","Spectus.html#method-c-should-21","(matcher)","<p>@example A recommended definition with isolation\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;spectus&quot;</span>\n<span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;matchi/be&quot;</span>\n\n<span class=\"ruby-constant\">Spectus</span>.<span class=\"ruby-identifier\">should!</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["should_not","Spectus","Spectus.html#method-c-should_not","(matcher)","<p>This method mean that there may exist valid reasons in particular circumstances when the particular behavior …\n"],["should_not!","Spectus","Spectus.html#method-c-should_not-21","(matcher)","<p>@example A not recommended definition with isolation\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;spectus&quot;</span>\n<span class=\"ruby-identifier\">require</span> <span class=\"ruby-string\">&quot;matchi/raise_exception&quot;</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"]]}}